Index: TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java
===================================================================
--- TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java	(revision 3910)
+++ TXM/trunk/bundles/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ImportMessagesTable.java	(revision 3911)
@@ -107,9 +107,22 @@
 			String key = h.getCellByIndex(keyIndex).getDisplayText();
 			if (key != null) {
 				String value = h.getCellByIndex(langIndex).getDisplayText();
+				
 				if (value != null) {
+					String value2 = h.getCellByIndex(defaultIndex).getDisplayText();
+					
+					// fix value
+					value = value.replaceAll("'([^'])", "''$1");
+					value = value.replaceAll("’", "'");
+					value = value.replace("''''", "''");
+					value = value.replace("'''", "''");
+					value2 = value2.replaceAll("'([^'])", "''$1");
+					value2 = value2.replaceAll("’", "'");
+					value2 = value2.replace("''''", "''");
+					value2 = value2.replace("'''", "''");
+					
 					slave.setProperty(key, value);
-					master.setProperty(key, h.getCellByIndex(defaultIndex).getDisplayText());
+					master.setProperty(key, value2);
 				}
 			}
 		}
@@ -127,7 +140,10 @@
 		
 		WorkspaceMessagesManager wmm = new WorkspaceMessagesManager();
 		
-		String prefix = "bundle"; // messages
-		System.out.println(new ImportMessagesTable(new File(wmm.getWorkspaceLocation(), "bundles/org.txm.translate.rcp"), "fr").run(prefix, new File(prefix + "_fr.odt")));
+		String prefix = "messages"; // messages, bundle
+		System.out.println(new ImportMessagesTable(new File(wmm.getWorkspaceLocation(), "bundles/org.txm.translate.rcp"), "fr").run(prefix, new File(prefix + "_fr-slh.odt")));
+		
+		prefix = "bundle"; // messages, bundle
+		System.out.println(new ImportMessagesTable(new File(wmm.getWorkspaceLocation(), "bundles/org.txm.translate.rcp"), "fr").run(prefix, new File(prefix + "_fr-slh.odt")));
 	}
 }
